Bug 252001 - www/wt: update to 4.5.0
Summary: www/wt: update to 4.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://www.webtoolkit.eu/wt/doc/refe...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-20 18:11 UTC by Mohammad S. Babaei
Modified: 2020-12-23 06:35 UTC (History)
1 user (show)

See Also:


Attachments
www/wt v4.4.0 to v4.5.0 patch file (4.00 KB, patch)
2020-12-20 18:11 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammad S. Babaei 2020-12-20 18:11:54 UTC
Created attachment 220759 [details]
www/wt v4.4.0 to v4.5.0 patch file

Release 4.5.0 (December 15, 2020)
Notable changes
Wt now targets C++14, and CMAKE_CXX_STANDARD defaults to "14". There appears to be no good reason to maintain C++11 support, since every compiler that supports enough C++11 for Wt also supports enough C++14. You should still be able to use C++11 mode when using Wt as a library, but Wt itself no longer builds in C++11 mode.
Wt::Dbo: the Firebird backend has been marked as unmaintained. The Firebird tests were not succeeding, likely because of an incompatibility with the unmaintained IBPP that the Firebird backend is based on and recent versions of Firebird.
Features and improvements
Issue #7586: The <behind-reverse-proxy> option has been deprecated in favor of a new <trusted-proxy-config> option. It's now possible to specify the IP header that Wt should look for using <remote-ip-header> (defaults to X-Forwarded-For). Wt will trust all proxies listed in <trusted-proxies>. When <behind-reverse-proxy> is set to true, the behavior stays the same as it was before. See the library overview for more information about this option.
WFormModel now uses string comparison instead of pointer comparison for its fields.
Issue #7666: In some cases Wt 4.4.0 would connect jsScrollVisibilityChanged even if it was not actually being used, causing extra unnecessary requests.
Added Jenkins pipelines in the jenkins folder. We use Jenkins to test Wt at Emweb but we would usually keep this configuration in Jenkins. Our pipelines for Linux and FreeBSD have now been updated a bit and moved into the Wt repository, since they may be of use to people looking to contribute to Wt.
Issue #7669: Wt now automatically uses addChild instead of addWidget when addNew is used on a global widget, like WPopupWidget.
Bug fixes
Issue #6367: fixed issue where wthttp would no longer accept new connections when an error occurred while accepting a connection, e.g. if the open file limit was reached.
WDate::currentServerDate() and WTime::currentServerTime() now correctly return the local date and time on the server instead of UTC.
Fixed visibility of OAuthProcess and OAuthAccessToken.
Fixed issues #6548 and #7749: URL parameters were being parsed more than once for file uploads, causing a rapid accumulation of duplicate values during uploads, and potentially causing segmentation faults. The wtwithqt example was also updated so that it properly waits for condition variables in a loop, to deal with spurious wakeups. Also fixed a potential use-after-free when updating resource progress.
Fixed an issue where the HTTP Client would wait indefinitely for data when Content-Length is zero.
WebSockets: If a bad value for server_max_window_bits or client_max_window_bits was encountered, this would cause an uncaught exception and a crash. This is now handled properly.
Fixed issue with DISTINCT ON in X3 based query parser: the fields listed there would incorrectly be regarded as fields being returned.
Fixed issue #7677: when a font could not be loaded in WPdfImage, this would throw an uncaught exception. This was changed to logging an error.
Fixed issue #7719: Wt::asString did not properly handle unsigned long.
PR #166: fixed mandelbrot example: missing call to done().
PR #167: we need to link with Boost unit_test_framework on Windows when BOOST_DYNAMIC is ON.
Fixed an issue where WMediaPlayer would not get properly loaded when reload-is-new-session is false, and the page is refreshed.
Comment 1 Fernando Apesteguía freebsd_committer 2020-12-21 17:29:13 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: maintainer-update is not needed.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

Thanks!
Comment 2 Mohammad S. Babaei 2020-12-22 18:44:56 UTC
Sorry about the maintainer approval forgot to do that.

I am afraid I don't know what do you mean by the 'URL field'? Do you mean in the bugzilla's issue?
Comment 3 Fernando Apesteguía freebsd_committer 2020-12-22 18:55:51 UTC
(In reply to Mohammad S. Babaei from comment #2)
Exactly.

Thanks!
Comment 4 Mohammad S. Babaei 2020-12-22 19:07:04 UTC
(In reply to Fernando Apesteguía from comment #3)

Thank you for mentioning that. I didn't know about it.
Comment 5 Fernando Apesteguía freebsd_committer 2020-12-23 06:34:47 UTC
Committed,

Thanks!
Comment 6 commit-hook freebsd_committer 2020-12-23 06:35:44 UTC
A commit references this bug:

Author: fernape
Date: Wed Dec 23 06:34:42 UTC 2020
New revision: 558966
URL: https://svnweb.freebsd.org/changeset/ports/558966

Log:
  www/wt: update to 4.5.0

  ChangeLog: https://www.webtoolkit.eu/wt/doc/reference/html/Releasenotes.html

  PR:	252001
  Submitted by:	info@babaei.net (maintainer)

Changes:
  head/www/wt/Makefile
  head/www/wt/distinfo
  head/www/wt/pkg-plist